<xml> </xml>

db4o |

# Query Members

Query overview

#### Public Instance Methods

constrain | adds a constraint to this node.
constraints | returns a com.db4o.query.Constraints object that holds an array of all constraints on this node.
descend | returns a reference to a descendant node in the query graph.
execute | executes the com.db4o.query.Query .
orderAscending | adds an ascending ordering criteria to this node of the query graph.
orderDescending | adds a descending order criteria to this node of the query graph.

#### See Also

Query Interface | com.db4o.query Namespace